Issues

Issue #19 resolved

Update all config files

Christopher Meng
created an issue

Hi,

I hope that all config.guess/.sub can be updated by autotools 2.69+, so I can package it for AArch64.

Thanks.(Although pure is not available on ARM, we can prepare the files first.)

Comments (2)

  1. Albert Graef

    This shouldn't be a big problem; I'm myself running autoconf 2.69 here. However, I'll have to check whether some of these files have been adapted for Windows/OSX compilation, so I might have to reapply such changes.

    Also, as you rightfully mention, Pure won't currently work on ARM, although it should compile there, due to limitations/bugs in the old JIT compiler; a port to the MCJIT which should properly support ARM is on my TODO list, though.

    Just out of curiosity: Are there any specific reasons why the files have to be updated for AArch64? Or is it just that this architecture is not properly supported with earlier configure versions?

  2. Log in to comment